summaryrefslogtreecommitdiff
path: root/intl/tst-translit.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2000-07-15 08:05:12 +0000
committerUlrich Drepper <drepper@redhat.com>2000-07-15 08:05:12 +0000
commit4ab8e75a466234db954c36b296c25c1f0d610894 (patch)
tree53c9a23e2ad28d166bd93c77f55618ce986caf3f /intl/tst-translit.sh
parent7888313d3c00975b1f5a0b8e624b85c1b520b134 (diff)
Update.
2000-07-15 Ulrich Drepper <drepper@redhat.com> * intl/Makefile (test-srcs): Add tst-translit. (tests): Likewise. Add rules to build and run tst-translit. * intl/tst-translit.c: New file. * intl/tst-translit.sh: New file.
Diffstat (limited to 'intl/tst-translit.sh')
-rwxr-xr-xintl/tst-translit.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/intl/tst-translit.sh b/intl/tst-translit.sh
new file mode 100755
index 0000000000..78f7f1b060
--- /dev/null
+++ b/intl/tst-translit.sh
@@ -0,0 +1,38 @@
+#! /bin/sh
+# Test of transliteration in gettext functions.
+# Copyright (C) 2000 Free Software Foundation, Inc.
+# This file is part of the GNU C Library.
+#
+# The GNU C Library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Library General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# The GNU C Library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Library General Public License for more details.
+#
+# You should have received a copy of the GNU Library General Public
+# License along with the GNU C Library; see the file COPYING.LIB. If
+# not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+common_objpfx=$1
+objpfx=$2
+
+GCONV_PATH=${common_objpfx}iconvdata
+export GCONV_PATH
+LOCPATH=${common_objpfx}localedata
+export LOCPATH
+LC_ALL=C
+export LC_ALL
+
+msgfmt -o ${objpfx}domaindir/existing-locale/LC_MESSAGES/translit.mo \
+ translit.po
+
+
+${common_objpfx}elf/ld.so --library-path $common_objpfx \
+${objpfx}tst-translit > ${objpfx}tst-translit.out ${objpfx}domaindir
+
+exit $?